
exports.answersConfig = function(answers) {
	let genConfig = {
		domain 		: answers.domain, 
		module 		: capitalize(camelize(answers.module)), 
	    module_lower_case: camelize(answers.module),
        module_all_lower_case:camelize(answers.module).toLowerCase(),
        domain_name :  answers.domain + '.' + camelize(answers.module).toLowerCase(),
		package_path : answers.domain.split('.').join('/'), 
	};
	return genConfig;
}

function capitalize(string) {
    return string[0].toUpperCase() + string.slice(1);
}

function camelize(str) {
    const a = str.toLowerCase()
    .replace(/[-_\s.]+(.)?/g, (_, c) => c ? c.toUpperCase() : '');
    return a.substring(0, 1).toLowerCase() + a.substring(1);
}